Bug 4665 - dhclient-script doesn't meet ifcfg file naming convention
: dhclient-script doesn't meet ifcfg file naming convention
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/dhcp-client)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-07-03 11:14 by
Modified: 2005-07-13 15:46 (History)


Attachments
Patch to dhclient-script that fixes the problem (354 bytes, patch)
2004-07-03 11:24, Mikhail Zabaluev
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-07-03 11:14:06
As of dhcp-client-3.0.1-alt8, dhclient-script expects interface configuration to
be included from /etc/sysconfig/network-scripts/<interface_name>:


====== 8< ======
cd /etc/sysconfig/network-scripts
. /etc/sysconfig/network-scripts/network-functions
. /etc/rc.d/init.d/functions
 
[ -f ../network ] && . ../network
[ -f ../networking/network ] && . ../networking/network
 
CONFIG=$interface
 
[ -f "${CONFIG}" ] || {
    echo $"$0: configuration for $interface not found." >&2
    exit_with_hooks 1
}
 
source_config
====== >8 ======


Proper location for this, as documented in net-scripts README, is
/etc/sysconfig/network-scripts/ifcfg-<interface_name>.

The temporary workaround is to make a symbolic link to the ifcfg-prefixed file
so that dhclient-script finds it.
------- Comment #1 From 2004-07-03 11:24:22 -------
Created an attachment (id=471) [details]
Patch to dhclient-script that fixes the problem
------- Comment #2 From 2004-07-05 09:55:18 -------
reassign
------- Comment #3 From 2004-07-05 16:14:40 -------
бага не инсталлера, а
dhclient-script
------- Comment #4 From 2004-07-05 16:54:39 -------
fixed in alt9
// comment #3 was made by mistake